View Issue Details

IDProjectCategoryView StatusLast Update
0033163CommunityOCCT:Meshpublic2022-11-02 13:53
Reporterfestive-shrimp Assigned Tooan  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformLinuxOSUbuntu 20.04 
Product Version7.6.3 
Target Version7.7.0 
Summary0033163: Bad definition of values in IMeshData_Status
DescriptionThe flag IMeshData_UserBreak has value 0x160, which is a number with three bits equal to 1. Thus, anything setting the flag IMeshData_UserBreak will also set the completely unrelated flags IMeshData_TooFewPoints (0x20) and IMeshData_Outdated (0x40), which is likely not what is desired.

Also, even if that flag is not set, testing for IMeshData_UserBreak may not work as expected, since ANDing with IMeshData_UserBreak may give a non-zero value if either IMeshData_TooFewPoints or IMeshData_Outdated is set.
Steps To ReproduceNone
Additional information
and documentation updates
You can find the enum values in the documentation here for 7.6.*:
https://dev.opencascade.org/doc/occt-7.6.0/refman/html/_i_mesh_data___status_8hxx.html
Or the for the newest version:
https://dev.opencascade.org/doc/refman/html/_i_mesh_data___status_8hxx.html
TagsNo tags attached.
Test case number

Activities

git

2022-10-19 00:49

administrator   ~0111649

Branch CR33163 has been created by oan.

SHA-1: 2ef176ed2a2c2856d7295f62275f30c1b163e0ed


Detailed log of new commits:

Author: oan
Date: Wed Oct 19 00:49:02 2022 +0300

    0033163: Bad definition of values in IMeshData_Status
    
    Corrected value of status enum

oan

2022-10-19 11:28

developer   ~0111653

Test reports:
http://jenkins-test-occt/view/master-CR33163-OAN/view/COMPARE/

To integrate:
OCCT: CR33163
PRODUCTS: None

git

2022-11-02 13:53

administrator   ~0111878

Branch CR33163 has been deleted by mnt.

SHA-1: 2ef176ed2a2c2856d7295f62275f30c1b163e0ed

Related Changesets

occt: master a24391a1

2022-10-19 00:49:02

oan


Committer: smoskvin Details Diff
0033163: Bad definition of values in IMeshData_Status

Corrected value of status enum
Affected Issues
0033163
mod - src/IMeshData/IMeshData_Status.hxx Diff File

Issue History

Date Modified Username Field Change
2022-10-10 15:46 festive-shrimp New Issue
2022-10-10 15:46 festive-shrimp Assigned To => oan
2022-10-19 00:49 git Note Added: 0111649
2022-10-19 00:56 oan Target Version => 7.7.0
2022-10-19 11:28 oan Status new => resolved
2022-10-19 11:28 oan Steps to Reproduce Updated
2022-10-19 11:28 oan Note Added: 0111653
2022-10-19 11:28 oan Assigned To oan => msv
2022-10-19 11:57 msv Assigned To msv => bugmaster
2022-10-19 11:57 msv Status resolved => reviewed
2022-11-02 13:40 smoskvin Status reviewed => tested
2022-11-02 13:46 smoskvin Changeset attached => occt master a24391a1
2022-11-02 13:46 oan Assigned To bugmaster => oan
2022-11-02 13:46 oan Status tested => verified
2022-11-02 13:46 oan Resolution open => fixed
2022-11-02 13:53 git Note Added: 0111878